Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config.simple.editor
Class LeafTreeNodeUI

    java.lang.Object
      |
      +--jpos.config.simple.editor.AbstractTreeNodeUI
            |
            +--jpos.config.simple.editor.LeafTreeNodeUI

All Implemented Interfaces:
  TreeNodeUI

public class LeafTreeNodeUI
extends AbstractTreeNodeUI

implementation of tree nodes by device Category

Since:
  1.3 (SF 2K meeting)
Author:
  Manuel M Monserrate, E. Michael Maximilien (maxim@us.ibm.com)

Fields inherited from class jpos.config.simple.editor.AbstractTreeNodeUI
`treeImageIcon`

Constructor Summary
`LeafTreeNodeUI(JposEntry entry)` default ctor

Method Summary
`javax.swing.ImageIcon` | `getImageIcon()`
`java.lang.String` | `getName()`
`java.lang.String` | `getToolTipText()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LeafTreeNodeUI

    public LeafTreeNodeUI(JposEntry entry)

  default ctor
  Parameters:
    `logName` - string representing the logical Name in the tree node

Method Detail

### getName

    public java.lang.String getName()

  Overrides:
    `getName` in class `AbstractTreeNodeUI`
  Returns:
    the logical name of the JposEntry in this tree Node

### getImageIcon

    public javax.swing.ImageIcon getImageIcon()

  Overrides:
    `getImageIcon` in class `AbstractTreeNodeUI`
  Returns:
    the ImageIcon for drawing the node

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractTreeNodeUI`
  Returns:
    string representation of this TreeNodeUI so that the correct name can be viewed in the user interface

### getToolTipText

    public java.lang.String getToolTipText()

  Overrides:
    `getToolTipText` in class `AbstractTreeNodeUI`
  Returns:
    the text to display as tool tip text in the tree view

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details